LEI-TAG(1)

NAME
lei-tag - set/unset metadata on messages

SYNOPSIS
lei tag [OPTIONS] FILE [FILE...] METADATA [METADATA...]

lei tag [OPTIONS] (-|--stdin) METADATA [METADATA...]

DESCRIPTION
Set or unset volatile metadata on messages. In JMAP terms, "volatile metadata" includes "mailboxes" (analogous to a folder or label) and a restricted set of "keywords". This supported keywords are the combination of system keywords (seen, answered, flagged, and draft), which map to Maildir flags and mbox Status/X-Status headers, as well as reserved keywords (forwarded, phishing, junk, and notjunk).

To add a label or keyword, prefix it with "+L:" and "+kw:", respectively. To remove a label or keyword, use "-L:" or "-kw:". For example, "+kw:flagged" would set the "flagged" keyword for the specified messages, and "-L:INBOX" would remove the "INBOX" label.

OPTIONS

-F MAIL_FORMAT
--in-format=MAIL_FORMAT
    Message input format: "eml", "mboxrd", "mboxcl2", "mboxcl", or "mboxo".

    Default: "eml"

-q
--quiet
    Suppress feedback messages.

LABELS
Labels are user-defined values analogous to IMAP/JMAP mailbox names. They must only contain lowercase characters, digits, and a limited amount of punctuation (e.g. ".", "-", "@").

Messages may have multiple labels.

KEYWORDS
Keywords are "flags" in Maildir and IMAP terminology. Common keywords include: "seen", "answered", "flagged", and "draft", though "forwarded", "phishing", "junk", and "notjunk" are also supported.

When writing to various mboxes, the common keywords will be mapped to the "Status" and "X-Status" headers.

Messages may have multiple keywords.

CONTACT
Feedback welcome via plain-text mail to <mailto:meta@public-inbox.org>

The mail archives are hosted at <https://public-inbox.org/meta/> and <http://4uok3hntl7oi7b4uf4rtfwefqeexfzil2w6kgk2jn5z2f764irre7byd.onion/meta/>

COPYRIGHT
Copyright 2021 all contributors <mailto:meta@public-inbox.org>

License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>

SEE ALSO
lei-add-external(1)